Package org.eclipse.emf.spi.cdo

# Class AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector

java.lang.Object
org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`

Enclosing class:
  `AbstractObjectConflictResolver.ThreeWayMerge`

public static class AbstractObjectConflictResolver.ThreeWayMerge.RevisionDeltaCollector extends Object implements org.eclipse.net4j.util.event.IListener
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`RevisionDeltaCollector()`

## Method Summary

Modifier and Type
Method
Description
`List<CDORevisionDelta>`
`getDeltas(CDOObject notifier)`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RevisionDeltaCollector

public RevisionDeltaCollector()

## Method Details

### getDeltas

public List<CDORevisionDelta> getDeltas(CDOObject notifier)

### reset

public void reset()

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`